$(function() {   

	$("#login").click(function(){
		var valid=true;
		var r=$("#regid").val();
		
		if($("#username").val()!='' && $("#password").val()!=''){
			$.post('http://phonegap.cwadevelopment.co.uk/login.php',{regid:r,email:$("#username").val(), password:$("#password").val()})
			.done(function(data){
				var json = $.parseJSON(data);
				if(json===0){
					$(".alert").html('Your login details are incorrect, please try again').show();	
				}else{
					$(json).each(function(i,val){
						$.each(val,function(k,v){
							if(k=='active' && v=='1'){
								window.location.href='dashboard.html';	
							}
						});
					});
				}
			});
		}else{
			if($("#username").val()==''){ $("#username").css({'border-color':'#ff1059'}); } else { $("#username").css({'border-color':'#4B946A'}); }
			if($("#password").val()==''){ $("#password").css({'border-color':'#ff1059'}); } else { $("#password").css({'border-color':'#4B946A'}); }	
			$(".alert").html('Please enter your details...').show();	
		}
	});
	
	$(".reset").click(function(){
		if($("#resetusername").val()!=''){
			$("#resetusername").css({'border-color':'#4B946A'});
			$.post('http://phonegap.cwadevelopment.co.uk/reset.php',{ username:$("#resetusername").val() })
			.done(function(data){
			
				if(data=='reset'){
					$('#resetpassword').modal('hide'); // hide box
					$(".alert").html('Your password has been reset, please check your registered email').show();
				}
			});
		}else{
			$("#resetusername").css({'border-color':'#ff1059'});
		}
	});
	
	$(document).on('click', ".messagelink", function() {
		var s = $(this).attr('id').split('-');
		var r = localStorage.getItem('registrationId');
		$.post('http://phonegap.cwadevelopment.co.uk/getmessage.php',{regid:r,mid:s[1]})
			.done(function(data){
				$("#message .modal-body").html(data);
			});
	});
	
	$(document).on('click', ".profilelink", function() {
		var i = $(this).attr('id');
	
		var r = localStorage.getItem('registrationId');
		
		$.post('http://phonegap.cwadevelopment.co.uk/getprofile.php',{regid:r,mid:i})
			.done(function(data){
				var json = $.parseJSON(data);
				$(json).each(function(i,val){
					$.each(val,function(k,v){
						if(k=='bio') { $("#updatebio").html(v); }
						if(k=='picture') { $("#image").attr('src', v);  }
					})
				});

			});
	});
	
	$(".updateprofile").click(function(){
		var r = localStorage.getItem('registrationId');
		if($("#updatebio").val()!=''){
			$.post('http://phonegap.cwadevelopment.co.uk/postBio.php',{mess:JSON.stringify($("#updatebio").val()),regid:r})
			.done(function(data){
				
				$('#myprofile').modal('hide'); // hide box
				
				uploadPhoto($("#image").attr('src'));
				
				$.post( "http://phonegap.cwadevelopment.co.uk/getMyteam.php", { regid: r }) // the team page is fetched again and refreshed.
				.done(function( data ) {
					var replaceHTML = data;
					$(".myteam .row").html(replaceHTML);
				});
				
			});
		}else{
			$("#updatebio").css({'border-color':'#ff1059'});	
		}
	});
	
	$(document).on('click', ".timelinelink", function() {
		var tid = $(this).attr('id');
		$.post('http://phonegap.cwadevelopment.co.uk/getStatus.php',{id:tid})
		.done(function(data){
			$("#message .modal-body").html(data);
		});
	});
	
	$(".update").click(function(){
		var r = localStorage.getItem('registrationId');
		if($("#updatestatus").val()!=''){
			$.post('http://phonegap.cwadevelopment.co.uk/postStatus.php',{mess:JSON.stringify($("#updatestatus").val()),regid:r})
			.done(function(data){
		
				$('#status').modal('hide');
				$("#updatestatus").val(''); // wipe out what was there
				$.post( "http://phonegap.cwadevelopment.co.uk/getTimeline.php")
				.done(function( data ) {
					var replaceHTML = data;
					$(".timeline .row").html(replaceHTML); // refresh the timeline
				});
			});
		}else{
			$("#updatestatus").css({'border-color':'#ff1059'});	
		}
	});
	
	$(document).on('click', ".touchrow", function() {
		var sid = $(this).attr('id').split('-');
		$.post('http://phonegap.cwadevelopment.co.uk/getTime.php',{id:sid[1]})
		.done(function(data){
			$("#details .modal-body").html(data);
			$('#details').modal('show');
		});
	});
	
	$(".getPhoto").click(function(){
		getPhoto(pictureSource.PHOTOLIBRARY);
	});
	$(".takePhoto").click(function(){
		capturePhotoWithFile();
	});
	
	// Called when a photo is successfully retrieved
    //
    function onPhotoDataSuccess(imageData) {
      // Get image handle
      //
    
      $("#image").attr('src', "data:image/jpeg;base64," + imageData);
	  //console.log(smallImage.src);
    }
    
	// Called when a photo is successfully retrieved
    //
    function onPhotoFileSuccess(imageData) {
      // Get image handle
      //console.log(JSON.stringify(imageData));
     
	  $("#image").attr('src', imageData);
	  
    }
    // Called when a photo is successfully retrieved
    //
    function onPhotoURISuccess(imageURI) {
	 
	  $("#image").attr('src', imageURI);
    }
    // A button will call this function
    //
    function capturePhotoWithData() {
      // Take picture using device camera and retrieve image as base64-encoded string
      navigator.camera.getPicture(onPhotoDataSuccess, onFail, { quality: 50 });
    }
    function capturePhotoWithFile() {
        navigator.camera.getPicture(onPhotoFileSuccess, onFail, { quality: 50, destinationType: Camera.DestinationType.FILE_URI });
    }
    
    // A button will call this function
    //
    function getPhoto(source) {
      // Retrieve image file location from specified source
      navigator.camera.getPicture(onPhotoURISuccess, onFail, { quality: 50, 
        destinationType: destinationType.FILE_URI,
        sourceType: source });
    }
    // Called if something bad happens.
    // 
    function onFail(message) {
      alert('Failed because: ' + message);
    }

	function uploadPhoto(imageURI) {
		var options = new FileUploadOptions();
		options.fileKey="file";
		options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
		options.mimeType="image/jpeg";

		var params = new Object();
		params.value1 = "test";
		params.value2 = "param";

		options.params = params;
		options.chunkedMode = false;
	

		var ft = new FileTransfer();
		
		ft.upload(imageURI, "http://phonegap.cwadevelopment.co.uk/uploadPhoto.php", win, fail, options);
	}
	
	function win(r) {
		if(r.responseCode==200){
			var re = localStorage.getItem('registrationId');
			$.post('http://phonegap.cwadevelopment.co.uk/updatePhoto.php',{regid:re,picture:r.response})
			.done(function(data){
				var replaceHTML = data;
				$(".myteam .row").html(replaceHTML);
			});
				
		}
		//alert("Code = " + r.responseCode);
		//alert("Response = " + r.response);
		//alert("Sent = " + r.bytesSent);
	
	}
	
	function fail(error) {
        //console.log("An error has occurred: Code = " = error.code);
    }
	

	
}) 